Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000696Core InformAssertions and creationspublic2011-07-12 09:032014-05-07 07:33
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000696: Placement of figure name declarations in source can produce spurious errors
DescriptionIf the declaration of a figure is placed between a "defined in table..." declaration and the table itself, Inform will not register the figure name before reading the table.

This can result in compiler errors or silent namespace debacles, such as both an object and a figure with the same name (see the forum thread this report is derived from: http://www.intfiction.org/forum/viewtopic.php?f=7&t=2791 [^]).
Minimal Source Text To Reproduce
There is a room.

A zod is a kind of thing. A zod has a figure name called the associated image. Some zods are defined 
by the Table of Zod Images.

Figure of Zod is the file "Zod.png".

Table of Zod Images
zod	associated image
zod_1	Figure of Zod
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
(0002649)
graham (administrator)
2014-05-03 15:53

It's true that when things are defined by table, this occurs at the position in the source given by the declaring sentence, not the table. But in fact the source text provided here works fine now; I think the underlying problem was some kind of bug to do with constants in table entries, which is now fixed.

- Issue History
Date Modified Username Field Change
2011-07-12 09:03 ektemple New Issue
2011-07-15 11:13 EmacsUser Reproducibility have not tried => always
2011-07-15 11:13 EmacsUser Status new => confirmed
2014-05-03 15:53 graham Note Added: 0002649
2014-05-03 15:53 graham Status confirmed => resolved
2014-05-03 15:53 graham Resolution open => fixed
2014-05-03 15:53 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker